const app = Vue.createApp({
  data() {
    return {
      totalStudents: 156,
      activeClasses: 12,
      students: [
        { id: 1, name: 'John Doe', grade: 'A' },
        { id: 2, name: 'Jane Smith', grade: 'B+' },
        { id: 3, name: 'Mike Johnson', grade: 'A-' },
        { id: 4, name: 'Sarah Williams', grade: 'B' },
      ]
    }
  },
  methods: {
    showAddForm() {
      // Implementation for adding new student
      const name = prompt('Enter student name:')
      const grade = prompt('Enter student grade:')
      if (name && grade) {
        this.students.push({
          id: this.students.length + 1,
          name,
          grade
        })
      }
    },
    editStudent(student) {
      // Implementation for editing student
      const name = prompt('Enter new name:', student.name)
      const grade = prompt('Enter new grade:', student.grade)
      if (name && grade) {
        student.name = name
        student.grade = grade
      }
    },
    deleteStudent(id) {
      // Implementation for deleting student
      if (confirm('Are you sure you want to delete this student?')) {
        this.students = this.students.filter(student => student.id !== id)
      }
    }
  }
})

app.mount('#app')
